Package com.databricks.jdbc.api

## Interface IDatabricksStatement

All Superinterfaces:
  `AutoCloseable`, `Statement`, `Wrapper`

All Known Implementing Classes:
  `DatabricksPreparedStatement`, `DatabricksStatement`

    public interface IDatabricksStatement
    extends Statement

Interface for Databricks specific statement.

### Field Summary

### Fields inherited from interface java.sql.Statement

`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

### Method Summary

All Methods Instance Methods Abstract Methods
`ResultSet` `executeAsync​(String sql)` Executes the given SQL command in async mode, and returns a lightweight instance of result set
`ResultSet` `getExecutionResult()` Returns result set response for the executed statement

### Methods inherited from interface java.sql.Statement

`addBatch, cancel, clearBatch, clearWarnings, close, closeOnCompletion, enquoteIdentifier, enquoteLiteral, enquoteNCharLiteral, execute, execute, execute, execute, executeBatch, executeLargeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getLargeMaxRows, getLargeUpdateCount, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, isSimpleIdentifier, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setLargeMaxRows, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Method Detail

#### executeAsync

    ResultSet executeAsync​(String sql)
                    throws SQLException

Executes the given SQL command in async mode, and returns a lightweight instance of result set

Parameters:
  `sql` - SQL command to be executed
Returns:
  result set for given execution
Throws:
  `SQLException` - in case of error

#### getExecutionResult

    ResultSet getExecutionResult()
                          throws SQLException

Returns result set response for the executed statement

Returns:
  result set for underlying execution
Throws:
  `SQLException` - if statement was never executed